[python-dtcwt] 220/497: regen_verification.sh: abort if MATLAB doesn't generate a result

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Tue Jul 21 18:06:07 UTC 2015


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch debian/sid
in repository python-dtcwt.

commit 190757f2c6ef8b4b80925df8cbac7f0f3ed41b33
Author: Rich Wareham <rjw57 at cam.ac.uk>
Date:   Wed Dec 4 15:27:42 2013 +0000

    regen_verification.sh: abort if MATLAB doesn't generate a result
---
 matlab/regen_verification.sh | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/matlab/regen_verification.sh b/matlab/regen_verification.sh
index a13414b..8d76e8b 100755
--- a/matlab/regen_verification.sh
+++ b/matlab/regen_verification.sh
@@ -19,9 +19,18 @@ export MATLABPATH="$MATLABPATH:$DTCWT_TOOLBOX:$DTCWT_KEYPOINTS"
 # Change to this directory
 cd "`dirname "${BASH_SOURCE[0]}"`"
 
+if [ -f verification.mat ]; then
+    rm verification.mat
+fi
+
 echo "Generating verification data in MATLAB..."
 "$MATLAB" -nosplash -nodesktop -r "gen_verif; quit"
 
+if [ ! -f verification.mat ]; then
+    echo "error: no output from MATLAB"
+    exit 1
+fi
+
 echo "Converting to NumPy format..."
 python verif_m_to_npz.py
 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/python-dtcwt.git



More information about the debian-science-commits mailing list